<div style = "text-align: center">
  <div class = "ych-detail-box-left">
    <img class = "auction-image"
         src = "{{ serverUrl }}/api/images/{{ ychDiscussionDto.imageId }}"/>


    <div class = "buttons-menu-container">
      <app-discussion-info-buttons
        [ychDiscussionDto]="ychDiscussionDto"
      ></app-discussion-info-buttons>
    </div>

  </div>

  <div class = "ych-detail-box-right">
    <div style = "margin-bottom: 20px">
      <p-card>
        Price - {{ychDiscussionDto.price}}
      </p-card>
    </div>
  </div>
  <div class = "ych-detail-container">
    <div class = "ych-detail-box-left">
      <div>
        <!--        <img class = "auction-image"-->
        <!--             src = "http://localhost:8080/api/images/{{ ychDiscussionDto.imageId }}"/>-->

        <button [label] = "'Artist: ' + ychDiscussionDto?.ownerName"
                class = "p-button-raised p-button-secondary info-button"
                pButton
                pRipple
                type = "button"></button>

        <button [label] = "'Winner: ' + ychDiscussionDto?.winnerName"
                class = "p-button-raised p-button-secondary info-button"
                pButton
                pRipple
                type = "button"
        ></button>

        <button [label] = "ychDiscussionDto?.auctionKind"
                class = "p-button-raised p-button-warning info-button"
                pButton
                pRipple
                type = "button"
        ></button>

        <ng-container *ngIf = "ychDiscussionDto?.userIsOwner && isDiscussionStep()">
          <button
            (click) = "showCloseAuctionAlert()"
            class = "p-button-raised p-button-danger info-button"
            icon = "pi pi-times-circle"
            label = "Close"
            pButton
            pRipple
            type = "button"
          ></button>
        </ng-container>


        <ng-container *ngIf = "isDiscussionStep()">
          <button
            class = "p-button-raised p-button-success p-button-success info-button"
            icon = "pi pi-comments"
            label = "Discussion"
            pButton
            pRipple
            type = "button"
          ></button>
        </ng-container>
        <ng-container *ngIf = "!isDiscussionStep()">
          <button
            class = "p-button-raised p-button-danger p-button-success danger-button"
            icon = "pi pi-comments"
            label = "Closed"
            pButton
            pRipple
            type = "button"
          ></button>
        </ng-container>


        <div style = "margin-top: 30px">
          <p-card>
            <div [innerHTML] = "ychDiscussionDto.description"></div>
          </p-card>
        </div>
      </div>
    </div>
  </div>
</div>
